"use client";
import React, { useEffect } from "react";
import DateRangePicker from "@/components/date-range-picker";
import { usePathname } from "@/components/navigation";
import { cn, getCookiesDecrypt } from "@/lib/utils";

const PageTitle = ({
  title,
  className,
}: {
  title?: string;
  className?: string;
}) => {
  const pathname = usePathname();
  const name = pathname?.split("/").slice(1).join(" ");
  const roleId = getCookiesDecrypt("urie");

  useEffect(() => {
    console.log("role", roleId);
  }, [roleId]);
  return Number(roleId) == 2 || Number(roleId) == 11 || Number(roleId) == 12 ? (
    ""
  ) : (
    <div
      className={cn(
        "flex flex-wrap gap-4 items-center justify-between",
        className
      )}
    >
      <div className="text-2xl font-medium text-default-800 capitalize">
        Dashboard
      </div>
      <DateRangePicker />
    </div>
  );
};

export default PageTitle;
